<?php

declare(strict_types=1);

namespace Drupal\earkiv;

use Drupal\earkiv\Entity\Archive;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Interface EArkivDrushCommandsInterface.
 */
interface EArkivDrushCommandsInterface {

  /**
   * Process an archive.
   *
   * @param \Drupal\earkiv\Entity\Archive $entity
   * @param \Symfony\Component\Console\Output\OutputInterface $output
   *
   * @return void
   */
  function process(Archive $entity, OutputInterface $output): void;
}
